#include <ncurses.h>
#include "locale.h"

chtype ch::HLINE=ACS_HLINE;
chtype ch::VLINE=ACS_VLINE;
chtype ch::ULCORNER=ACS_ULCORNER;
chtype ch::LLCORNER=ACS_LLCORNER;
chtype ch::URCORNER=ACS_URCORNER;
chtype ch::LRCORNER=ACS_LRCORNER;
chtype ch::LTEE=ACS_LTEE;
chtype ch::RTEE=ACS_RTEE;
chtype ch::BTEE=ACS_BTEE;
chtype ch::TTEE=ACS_TTEE;

void ch::set_locale(ch::ENCODING e)
{
	
	switch(e)
	{
	case KO:
		HLINE='-';
		VLINE='|';
		ULCORNER='+';
		LLCORNER='+';
		URCORNER='+';
		LRCORNER='+';
		LTEE='+';
		RTEE='+';
		BTEE='+';
		TTEE='+';			
		break;
		
	case US:		
	default:

		HLINE=ACS_HLINE;
		VLINE=ACS_VLINE;
		ULCORNER=ACS_ULCORNER;
		LLCORNER=ACS_LLCORNER;
		URCORNER=ACS_URCORNER;
		LRCORNER=ACS_LRCORNER;
		LTEE=ACS_LTEE;
		RTEE=ACS_RTEE;
		BTEE=ACS_BTEE;
		TTEE=ACS_TTEE;	
	}	
}
