#include <stdlib.h>
#include <curses.h>

#include "mls.h"
#include "MLSmain.h"
#include "MLSmcd.h"
#include "config.h"
#include "locale.h"

#include <ncurses.h>

int init()
{	
	// nCurses 설정
	initscr();
	start_color();
	nonl();
	cbreak();
	noecho();	
	keypad(stdscr, TRUE);
//   nodelay(stdscr, TRUE);
//	timeout(500);

	for (int t=0; t<8; t++)
		for (int t2=0; t2<8; t2++)
		{
			if (t==0 && t2==0) continue;
			init_pair(t*8+t2, t, t2);
		}
	return 0;
}

void destroy()
{
	endwin();
}

// 설정화일

// 진입부
int main(int argc, char *argv[])
{//시스템 초기화
	if (init()) return 1;

	ch::set_locale(ch::US);
	
	MLSmain mls;
	mls.read(".");		
	mls.proc();	

	destroy();	

}
